%global tarball xf86-video-vboxvideo
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

Name: x11-driver-video-vboxvideo
Version: 1.0.0
Release: %mkrel 3
Summary: X.org driver for VirtualBox
Group: System/X11
URL: http://xorg.freedesktop.org
License: MIT
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vboxvideo-%{version}.tar.xz

# upstream fixes

BuildRequires: pkgconfig(applewmproto) >= 1.0.0
BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(gbm)
BuildRequires: pkgconfig(libdrm) >= 2.4.46
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(libudev)
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)
Recommends:     virtualbox-guest-additions

%description
x11-driver-video-vboxvideo is the X.org driver for VirtualBox.

%prep
%setup -qn %{tarball}-%{version}

%build
%configure2_5x --enable-glamor
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{_libdir}/xorg/modules/drivers/vboxvideo_drv.so
%{_mandir}/man4/vboxvideo.4*


%changelog
* Wed Jan 26 2022 tex - 1.0.0-3pclos2022
- rebuild against updates

* Thu Mar 21 2019 tex - 1.0.0-2pclos2019
- rebuild against updates

